﻿@{
	ViewData["Title"] = "Home Page";
}

@model MemoriceApp.Models.ViewModel.HomeIndexViewModel

<div class="row">


	@for (int i = 0; i < Model.Images.Count; i++)
	{
		<div class="col-4">
			<img src="@Model.Images[i].Path" width="100" data-index="@i" />
		</div>
	}
</div>

<button type="button" class="btn btn-primary" id="btnStart">Comenzar</button>

<script>

	const startGame = function() {
		let images = document.querySelectorAll('img');
		for (i = 0; i < images.length; i++) {
			images[i].src = "/images/interrogacion.jpg";
			clickImageEventListener(images[i])
		}
	}

	const clickImageEventListener = function(img) {
		img.addEventListener('click', handleEventListenerImage);
	}

	const handleEventListenerImage = async function() {
		let index = this.attributes["data-index"].value;
		let callback = await fetch('/home/getImage?index=' + index);
		let json = await callback.json();
		this.src = json.path
	}

	var btnStart = document.getElementById('btnStart');
	btnStart.addEventListener('click', startGame);

</script>